import { Event } from '../API';
import { CRUDService } from '../core';
export declare class EventService extends CRUDService<Event> {
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").EventFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").EventSort | import("../API").EventSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").EventListQuery, import("../API").Exact<{
        filter?: import("../API").EventFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").EventSort | import("../API").EventSort[];
    }>>>) => Promise<{
        __typename?: "EventConnection";
        totalCount: number;
        edges: {
            __typename?: "EventEdge";
            node: {
                __typename?: "Event";
                id: string;
                batchID?: string;
                source?: string;
                subject?: string;
                time?: any;
                type?: string;
                created_at: any;
                updated_at: any;
                parlorVersion?: string;
                payload: any;
                eventLabels?: {
                    __typename?: "EventLabel";
                    created_at: any;
                    description?: string;
                    id: string;
                    isDeprecated?: boolean;
                    key: string;
                    name: string;
                    updated_at: any;
                    categories: {
                        __typename?: "PropertyCategory";
                        id: string;
                        name: string;
                        properties: {
                            __typename?: "PropertyMap";
                            id: string;
                            dataType: import("../API").DataType;
                            description?: string;
                            dropdownOptions?: string[];
                            isCustom?: boolean;
                            isDisplayable?: boolean;
                            isLocked?: boolean;
                            isManuallyEditable?: boolean;
                            isManuallyEditableDisabled?: boolean;
                            isQueryable?: boolean;
                            name: string;
                            objectType: import("../API").PropertyType;
                            organizationID: string;
                            parlorKey?: string;
                        }[];
                    }[];
                    events?: {
                        __typename?: "Event";
                        id: string;
                        type?: string;
                        created_at: any;
                        source?: string;
                        payload: any;
                        user?: {
                            __typename?: "User";
                            id: string;
                            firstName?: string;
                            lastName?: string;
                            fullName?: string;
                            email?: string;
                            accounts?: {
                                __typename?: "Account";
                                id: string;
                                displayName?: string;
                            }[];
                        };
                        account?: {
                            __typename?: "Account";
                            id: string;
                            displayName?: string;
                        };
                    }[];
                    eventsAggregate: {
                        __typename?: "EventLabelEventsAggregateResponse";
                        count?: {
                            __typename?: "EventLabelEventsCountAggregate";
                            id?: number;
                        };
                    }[];
                    segments?: {
                        __typename?: "Segment";
                        id: string;
                        name: string;
                    }[];
                    signals?: {
                        __typename?: "Signal";
                        id: string;
                        name: string;
                    }[];
                }[];
                signalPings?: {
                    __typename?: "SignalPing";
                    id: string;
                    signalID: string;
                    created_at: any;
                    eventID: string;
                    updated_at: any;
                    account?: {
                        __typename?: "Account";
                        id: string;
                        displayName?: string;
                        accountPlan?: string;
                    };
                    user?: {
                        __typename?: "User";
                        id: string;
                        firstName?: string;
                        lastName?: string;
                        fullName?: string;
                        email?: string;
                        accounts?: {
                            __typename?: "Account";
                            id: string;
                            accountPlan?: string;
                            displayName?: string;
                        }[];
                    };
                }[];
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            hasNextPage?: boolean;
            startCursor?: any;
            endCursor?: any;
            hasPreviousPage?: boolean;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").EventListQuery, import("../API").Exact<{
        filter?: import("../API").EventFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").EventSort | import("../API").EventSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").EventListQuery, import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>>;
        data: import("../API").EventListQuery;
        previousData?: import("../API").EventListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").EventListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").EventListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>>(mapFn: (previousQueryResult: import("../API").EventListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").EventListQuery>, "variables">) => import("../API").EventListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").EventListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>, import("../API").EventListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").EventListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>;
        fetchMore: <TFetchData = import("../API").EventListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").EventFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").EventSort | import("../API").EventSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").EventListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").EventListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").EventListQuery, import("../API").Exact<{
        filter?: import("../API").EventFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").EventSort | import("../API").EventSort[];
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").EventListQuery, import("../API").Exact<{
        filter?: import("../API").EventFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").EventSort | import("../API").EventSort[];
    }>>;
    get getTopTenEventsOverTime(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetTopTenEventsOverTimeQuery, import("../API").Exact<{
        organizationId: string;
        timeFrame: import("../API").ThirtyNinetyAllTime;
        accountId?: string;
        userId?: string | string[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetTopTenEventsOverTimeQuery, import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>>;
        data: import("../API").GetTopTenEventsOverTimeQuery;
        previousData?: import("../API").GetTopTenEventsOverTimeQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetTopTenEventsOverTimeQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetTopTenEventsOverTimeQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>>(mapFn: (previousQueryResult: import("../API").GetTopTenEventsOverTimeQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetTopTenEventsOverTimeQuery>, "variables">) => import("../API").GetTopTenEventsOverTimeQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetTopTenEventsOverTimeQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>, import("../API").GetTopTenEventsOverTimeQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetTopTenEventsOverTimeQuery>>;
        variables: import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>;
        fetchMore: <TFetchData = import("../API").GetTopTenEventsOverTimeQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            organizationId: string;
            timeFrame: import("../API").ThirtyNinetyAllTime;
            accountId?: string;
            userId?: string | string[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetTopTenEventsOverTimeQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetTopTenEventsOverTimeQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
